net.sf.okapi.lib.xliff2.core

## Enum Directionality

- java.lang.Object
- - java.lang.Enum<Directionality>
  - - net.sf.okapi.lib.xliff2.core.Directionality

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Directionality>

      public enum Directionality
      extends java.lang.Enum<Directionality>

  Represents the types of direction for the bi-directionality information.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Automatic.
    `INHERITED` Inherited from the proper parent.
    `LTR` Left-to-Right.
    `RTL` Right-to-Left.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPrefix()`
    `java.lang.String` | `toString()`
    `static Directionality` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Directionality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final Directionality AUTO

      Automatic.

    - #### LTR

          public static final Directionality LTR

      Left-to-Right.

    - #### RTL

          public static final Directionality RTL

      Right-to-Left.

    - #### INHERITED

          public static final Directionality INHERITED

      Inherited from the proper parent.

  - ### Method Detail

    - #### values

          public static Directionality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Directionality c : Directionality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Directionality valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPrefix

          public java.lang.String getPrefix()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Directionality>`